FROM jenkins/inbound-agent:alpine

USER root

RUN apk add --update --no-cache --virtual .fetch-sudo \
    git \
    openssh-client \
    curl \
    unzip \
    bash \
    ttf-dejavu \
    coreutils \
    jq \
    ca-certificates \
    openssl \
    wget \
    bash \
    subversion \
    libltdl \
    sudo \
    shadow \
    libltdl \
    util-linux \
    pciutils \
    usbutils \
    coreutils \
    binutils \
    findutils \
    grep \
    bash \
    bash-doc \
    bash-completion \
    tar \
    gzip \
    docker \
    docker-compose \
    postgresql-client \
    gettext \
    && rm -rf /var/lib/apt/lists/* \
    &&  echo "jenkins ALL=NOPASSWD: ALL" >> /etc/sudoers \
    && apk add --update --no-cache docker \
    && apk add --update --no-cache openrc \
    && rc-update add docker boot \
    #&& apk add --update --no-cache py-pip python-dev libffi-dev openssl-dev gcc libc-dev  make \
    #&& sudo pip install docker-compose \
    #&& docker-compose -v \
    && apk add --update --no-cache docker-compose \
    #Instalar o client do postgresql
    && apk add --update --no-cache postgresql-client \
    #&& apk add --update --no-cache nodejs \ #não identifiquei quando usamos o nodejs por isso desabilitei
    && rm -rf /var/lib/apt/lists/* \
    && wget -q -O /usr/local/bin/yq $(wget -q -O - https://api.github.com/repos/mikefarah/yq/releases/latest | jq -r '.assets[] | select(.name == "yq_linux_amd64") | .browser_download_url') \
    && chmod +x /usr/local/bin/yq \
    && yq -V \
    && cd /usr/local/bin/ \
    && curl -LO https://storage.googleapis.com/kubernetes-release/release/v1.16.0/bin/linux/amd64/kubectl \
    && chmod 777 "/usr/local/bin/kubectl" \
    && chmod +x  "/usr/local/bin/kubectl" \
    && cd - \
    && curl -fsSL -o get_helm.sh https://raw.githubusercontent.com/helm/helm/main/scripts/get-helm-3 \
    && chmod 700 get_helm.sh \
    && ./get_helm.sh \
    && rm -rf /root/.cache

USER jenkins
